## org.eclipse.jetty.security.authentication
Class LoginAuthenticator

    java.lang.Object
      org.eclipse.jetty.security.authentication.LoginAuthenticator

All Implemented Interfaces:
  Authenticator

Direct Known Subclasses:
  BasicAuthenticator, ClientCertAuthenticator, DigestAuthenticator, FormAuthenticator

    public abstract class LoginAuthenticator

extends Object
implements Authenticator

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator
`Authenticator.AuthConfiguration, Authenticator.Factory`

Field Summary
`protected DeferredAuthentication` `_deferred`
`protected IdentityService` `_identityService`
`protected LoginService` `_loginService`
`static String` `SESSION_SECURED`

Constructor Summary
`protected` `LoginAuthenticator()`

Method Summary
`LoginService` `getLoginService()`
`protected HttpSession` `renewSessionOnAuthentication(HttpServletRequest request, HttpServletResponse response)` Change the session when the request is authenticated for the first time
`void` `setConfiguration(Authenticator.AuthConfiguration configuration)` Configure the Authenticator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.security.Authenticator
`getAuthMethod, secureResponse, validateRequest`

Field Detail

### SESSION_SECURED

    public static final String SESSION_SECURED

See Also:
  Constant Field Values

### _deferred

    protected final DeferredAuthentication _deferred

### _loginService

    protected LoginService _loginService

### _identityService

    protected IdentityService _identityService

Constructor Detail

### LoginAuthenticator

    protected LoginAuthenticator()

Method Detail

### setConfiguration

    public void setConfiguration(Authenticator.AuthConfiguration configuration)

  Description copied from interface: `Authenticator`
  Configure the Authenticator

  Specified by:
    `setConfiguration` in interface `Authenticator`

### getLoginService

    public LoginService getLoginService()

### renewSessionOnAuthentication

    protected HttpSession renewSessionOnAuthentication(HttpServletRequest request,
                                                       HttpServletResponse response)

  Change the session when the request is authenticated for the first time

  Parameters:
    `request` -
    `response` -
  Returns:
    The new session.

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.